# Dadou - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdeadmin
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Adminstrative Tools
Version:	2.2.2
Release:	12mdk
URL:		http://www.kde.org/
Epoch:		2
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		%name-%version.tar.bz2
Source1:	kpackage.pamd
Patch1:		kdeadmin-2.2-ksysv-mdk-config.diff.bz2
Patch2:		kdeadmin-2.2.1-rpmdep.patch.bz2
# Laurent - 2.2.2-6mdk - fix kpackage - now in File List we must used double-click to select a file and enter with keyboard.
Patch3:		kdeadmin-2.2.2-fix-kpackage.patch.bz2
# LAurent - 2.2.2-9mdk - fix crash in kwuftpd, patch commited in kde 2.2.2 branch
Patch4:		kdeadmin-2.2.2-fix-crash-in-kwuftpd.patch.bz2
# Laurent - 2.2.2-9mdk - fix kwuftpd load file patch commited in kde 2.2.2 branch
Patch5:		kdeadmin-2.2.2-fix-kwuftpd-load-file.patch.bz2
# Laurent -2.2.2-10mdk - fix kwuftpd fix message when we cancel save/load dialogbox, patch commited in kde 2.2.2 branch
Patch6:		kdeadmin-2.2.2-fix-kwuftpd-message-when-we-cancel-save-load-file.patch.bz2

# Laurent - 2.2.2-11mdk - fix kuser, patch commited in kde 2.2.2
Patch7:		kdeadmin-2.2.2-fix-kuser-disable-ok-button-in-adduser-when-name-is-empty.patch.bz2

# Laurent - 2.2.2-11mdk - fix mem leak in kuser
Patch8:		kdeadmin-2.2.2-fix-kuser-mem-leak.patch.bz2

# LAurent - 2.2.2-12mdk - fix mem leak in ksysv
Patch9:		kdeadmin-2.2.2-fix-ksysv-mem-leak.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kpackage
Provides:	kpackage
Requires:	pciutils

%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	autoconf automake db1 db3 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:	libbinutils2 libbzip2_1-devel libjpeg62 libjpeg62-devel libmng1
BuildRequires:	libpng2 libqt2 libqt2-devel libtermcap m4 mktemp pam pam-devel
BuildRequires:	popt pwdb readline rpm-build rpm-devel texinfo zlib1 db1-devel
%endif

%if %buildfor8_1
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake db1 diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel Mesa-common libbinutils2
BuildRequires:	libbzip2_1-devel  libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng2-devel libqt2-devel libqt2-static-devel libstdc++2.10
BuildRequires:	libtermcap2 m4 mktemp perl popt rpm-build rpm-devel texinfo zlib1-devel
%endif

%if %buildfor8_2
Obsoletes:  kdeadmin-static-devel
%endif

%description
Administrative tools for the K Desktop Environment.


%package static-devel
Summary:	Static librairies for kdeadmin
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

%description static-devel
Static libraries for kdeadmin.


%prep


%setup -q -n %name-%version
%patch1	-p1
#%patch2 -p1 -b .rpmdep
%patch3 -p1

%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make -f Makefile.cvs

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
		    --disable-rpath \
		    --with-rpm \
		    --with-pam=kde \
		    --with-shadow \
		    --with-quota \
		    --with-nis \
		    --with-homeprefix=/home \
		    --with-private-groups
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --disable-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --with-rpm \
                    --with-pam=kde \
                    --with-shadow \
                    --with-quota \
                    --with-nis \
                    --with-homeprefix=/home \
                    --with-private-groups
%endif

%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --enable-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --with-rpm \
                    --with-pam=kde \
                    --with-shadow \
                    --with-quota \
                    --with-nis \
                    --with-homeprefix=/home \
                    --with-private-groups
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
                    --enable-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --with-rpm \
                    --with-pam=kde \
                    --with-shadow \
                    --with-quota \
                    --with-nis \
                    --with-homeprefix=/home \
                    --with-private-groups
%endif


%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu directory
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Settings/System
kdedesktop2mdkmenu.pl kdeadmin Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/linuz.desktop %buildroot/%_menudir/kdeadmin-klinuz kde

# %%_datadir/applnk/System
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/kcron.desktop %buildroot/%_menudir/kdeadmin-kcron
kdedesktop2mdkmenu.pl kdeadmin Configuration/Packaging %buildroot/%_datadir/applnk/System/kpackage.desktop %buildroot/%_menudir/kdeadmin-kpackage
kdedesktop2mdkmenu.pl kdeadmin "Configuration/Boot and Init" %buildroot/%_datadir/applnk/System/ksysv.desktop %buildroot/%_menudir/kdeadmin-ksysv
kdedesktop2mdkmenu.pl kdeadmin Configuration/Other %buildroot/%_datadir/applnk/System/kuser.desktop %buildroot/%_menudir/kdeadmin-kuser
kdedesktop2mdkmenu.pl kdeadmin Configuration/Networking %buildroot/%_datadir/applnk/System/kwuftpd.desktop %buildroot/%_menudir/kdeadmin-kwuftpd


# Install kdebase pam configuration file
install -d %buildroot/%_sysconfdir/pam.d
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kpackage


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kpackage
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kcron/
%doc %_docdir/HTML/en/kcron/common
%doc %_docdir/HTML/en/kcron/*.docbook
%doc %_docdir/HTML/en/kcron/*.png
%doc %_docdir/HTML/en/kcron/*.bz2
#
#
%dir %_docdir/HTML/en/kpackage/
%doc %_docdir/HTML/en/kpackage/common
%doc %_docdir/HTML/en/kpackage/*.docbook
%doc %_docdir/HTML/en/kpackage/*.bz2
#
#
%dir %_docdir/HTML/en/ksysv/
%doc %_docdir/HTML/en/ksysv/common
%doc %_docdir/HTML/en/ksysv/*.docbook
%doc %_docdir/HTML/en/ksysv/*.bz2
#
#
%dir %_docdir/HTML/en/kuser/
%doc %_docdir/HTML/en/kuser/common
%doc %_docdir/HTML/en/kuser/*.docbook
%doc %_docdir/HTML/en/kuser/*.bz2
#
#
%dir %_docdir/HTML/en/kwuftpd/
%doc %_docdir/HTML/en/kwuftpd/common
%doc %_docdir/HTML/en/kwuftpd/*.docbook
%doc %_docdir/HTML/en/kwuftpd/*.png
%doc %_docdir/HTML/en/kwuftpd/*.bz2
#
#
#
%_bindir/kcron
%_bindir/kpackage
%_bindir/ksysv
%_bindir/kuser
%_bindir/kwuftpd
%_bindir/secpolicy
#
#
#
%_libdir/libkcm_linuz.la
#
#
%_libdir/libkcm_linuz.so
#
#
#
%dir %_menudir/
%_menudir/kdeadmin-kcron
%_menudir/kdeadmin-klinuz
%_menudir/kdeadmin-kpackage
%_menudir/kdeadmin-ksysv
%_menudir/kdeadmin-kuser
%_menudir/kdeadmin-kwuftpd
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/System/
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kcmlinuz/
%dir %_datadir/apps/kcmlinuz/data/
%_datadir/apps/kcmlinuz/data/*.css
%_datadir/apps/kcmlinuz/data/*.png
%_datadir/apps/kcmlinuz/data/*.html
#
#
%dir %_datadir/apps/kpackage/
%dir %_datadir/apps/kpackage/kpackageui.rc
#
%dir %_datadir/apps/kpackage/pics/
%_datadir/apps/kpackage/pics/*.png
#
%dir %_datadir/apps/kpackage/toolbar/
%_datadir/apps/kpackage/toolbar/*.xpm
#
#
%dir %_datadir/apps/ksysv/
%_datadir/apps/ksysv/*.rc
#
%dir %_datadir/apps/ksysv/pics/
%_datadir/apps/ksysv/pics/*.png
#
#
%dir %_datadir/apps/kuser/
%_datadir/apps/kuser/*.rc
#
%dir %_datadir/apps/kuser/icons/
%dir %_datadir/apps/kuser/icons/hicolor/
%dir %_datadir/apps/kuser/icons/hicolor/22x22/
%dir %_datadir/apps/kuser/icons/hicolor/22x22/actions/
%_datadir/apps/kuser/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kuser/pics/
%_datadir/apps/kuser/pics/*.png
#
#
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png
#
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop


%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/libkcm_linuz.a
%endif


%changelog
* Sat Mar 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-12mdk
- Add patch9 : fix mem leak in ksysv

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-11mdk
- Add Patch7 : fix kuser disable ok button in adduser dialogbox when name is empty
- Add Patch8 : fix mem leak in kuser


* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-10mdk
- Patch6: fix kwuftpd fix message when we cancel save/load dialogbox

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-9mdk
- Patch4: Fix crash in kwuftpd
- Patch5: fix load file in kwupftd

* Tue Feb 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-8mdk
- Rebuild 

* Mon Feb 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-7mdk
- Fix patch3

* Tue Feb 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-6mdk
- Add patch3 : fix kpackage now we can use keyboard to select file in File List dialogbox

* Tue Feb 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- sync with kde 2.2.2 branch

* Fri Jan 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-4mdk
- Fix remove kdeadmin-static-devel

* Fri Jan 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove kdeadmin-static-devel for 8.2

* Fri Dec 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- make rpmlint happy

* Thu Nov 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Thu Sep 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Sat Sep 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2.1-2mdk
- added patch2 to correctly call rpmdepCheck.

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-5mdk
- Rebuild

* Tue Sep 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-4mdk
- Fix ksysv config

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix regenerated menu (previous fix was bad)

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix regenerated menu

* Mon Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- Kde 2.2 pre1

* Wed Jul 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.beta1.3mdk
- Rebuild with new rpm

* Thu Jul 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.beta1.2mdk
- Fix compile of kpackage with rpm 4.0.3

* Fri Jun 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Tue Jun 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2

* Wed May 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.2mdk
- Fix kcmlinuz menu entry 

* Thu Apr 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kde 2.2alpha1

* Tue Apr 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-8mdk
- Remove ksysv binary (too instable )

* Fri Apr 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-7mdk
- Remove ksysv stuff (too instable)

* Thu Apr 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-6mdk
- Fix LMDK menu: ksysctrl

* Wed Apr 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-5mdk
- LMDK menu: ksysctrl -> needs kde - Thanks to Laurent MONTEL and Frederic
  CROZAT

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-4mdk
- Remove lilo configuration tool (too unstable)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-3mdk
- Move KDE menu entries in %%_datadir/applnk
- Include lilo stuff only on %%ix86 architecture
- Rebuild against latest GCC

* Sat Mar 31 2001 Daouda Lo <daouda@mandrakesoft.com> 2.1.1-2mdk
- s/System\/lilo/lilo in lilo.desktop

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Rebuild agains Qt 2.3
- Add BuildRequires

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Update code
- Enable --disable-debug

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.2mdk
- Fix group

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries cleaned
- Remove static libraries

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code
- Move static libraries in kdeadmin-static-libraries package

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up

* Thu Jan 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010118.1mdk
- updated code
- used %_menudir

* Wed Jan 03 2001 Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010102.1mdk
- updated code 
- re-enable optimisations 
- ksysctrl is now a module in kcontrol (Configuration/KDE/System )
- cleanups

* Thu Dec 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20001228.1mdk
- updated code 
- change path to ksysctrl.desktop
- add ksysv to menu.

* Mon Dec 11 2000 Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20001211.1mdk
- code snapshot
 
* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001204.1mdk
- Updated source code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Updated source code

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.1-0.1mdk
- Updated source code

* Sun Nov 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-9.1mdk
- Updated source code

* Fri Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7.1mdk
- Updated source code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- Rebuild for a 7.2 Update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- This version now works on gcc 2.96
- Includes code from pre-2.1 CVS

* Thu Nov 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Rebuilt for gcc 2.96
- Code update

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Rebuilt for gcc 2.96
- Code update

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Rebuilt for gcc 2.96

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Fix Requires
- Clean spec

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to the kde 2.0 release version

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-5mdk
- Updated build for new libs. no code update

* Thu Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-4mdk
- Removed /usr/share/pci.ids from package this is installed by pciutils

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- Really use optimizations
- Fix Kpackage crash
- Macros
- Make non relocatable
- Spec clean up

* Tue Oct 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code for Release Candidate 1

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code for Release Candidate 1

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-8mdk
- Pam support for kdepackage.
- Compile with pam.

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Thu Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Moved kwuftd editor from control panel to Configuration->Networking not a kcontrol module
- Moved ksysctrl from control panel to Configuration->Hardware not a kcontrol module
- Moved kuser from control panel to Configuration->Other not a kcontrol module
- Moved kcron from control panel to Configuration->Other not a kcontrol module

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code
- Turned off debug
- Moved some menu entries

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code
- Added menu conversion tool to build process

* Thu Aug 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Fixed some menu entries for mimetypes

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-16mdk
- Updated code
- menu macros

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code
- put back auto file list - code not stable enough for static list

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Worked on Menus
- Removed auto file lst generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved code to /usr
- renamed package

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled documentation packaging
- Fixed problem in spec file

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot

* Fri Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot
* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- updated to 2000-05-20 code version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated spec file for Mandrake
- Updated code to a more recent snapshot
